Bug 181037 - update math/coinmp to version 1.7.0
Summary: update math/coinmp to version 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-04 21:50 UTC by Pedro F. Giffuni
Modified: 2013-08-05 14:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.28 KB, patch)
2013-08-04 21:50 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2013-08-04 21:50:00 UTC
Update to the latest version.

While here return maintainance to the pool as I am not likely to find time for this again any time soon.

Fix: Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-08-05 12:14:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-08-05 13:50:09 UTC
Author: wg
Date: Mon Aug  5 12:49:55 2013
New Revision: 324273
URL: http://svnweb.freebsd.org/changeset/ports/324273

Log:
  math/coinmp: update to 1.7.0
  
  - Update to 1.7.0 [1]
  - Drop maintainership [1]
  - Trim COMMENT to fit in the limit
  - Trim Makefile header
  - Convert to OptionsNG
  - Use PORTDOCS instead of pkg-plist
  
  PR:		ports/181037 [1]
  Submitted by:	Pedro Giffuni <giffunip tutopia.com> (maintainer)

Modified:
  head/math/coinmp/Makefile
  head/math/coinmp/distinfo
  head/math/coinmp/pkg-descr
  head/math/coinmp/pkg-plist

Modified: head/math/coinmp/Makefile
==============================================================================
--- head/math/coinmp/Makefile	Mon Aug  5 12:14:07 2013	(r324272)
+++ head/math/coinmp/Makefile	Mon Aug  5 12:49:55 2013	(r324273)
@@ -1,19 +1,14 @@
-# New ports collection makefile for:   CoinMP
-# Date created:        22 June 2011
-# Whom:                Pedro Giffuni
-#
+# Created by: Pedro Giffuni
 # $FreeBSD$
-#
 
 PORTNAME=	CoinMP
-PORTVERSION=	1.6.0
-PORTREVISION=	1
+PORTVERSION=	1.7.0
 CATEGORIES=	math
 MASTER_SITES=	http://www.coin-or.org/download/source/CoinMP/
 EXTRACT_SUFX=	.tgz
 
-MAINTAINER=	giffunip@tutopia.com
-COMMENT=	Optimization library with support for most of COIN-OR CLP, CBC, and CGL
+MAINTAINER=	ports@FreeBSD.org
+COMMENT=	Optimization library with support for COIN-OR CLP, CBC, and CGL
 
 LICENSE=	CPL
 LICENSE_NAME=	Common Public License, Version 1.0
@@ -25,9 +20,13 @@ CONFLICTS=	clp-[0-9]*
 USE_AUTOTOOLS=	libtool
 USE_LDCONFIG=	yes
 
-.include <bsd.port.pre.mk>
+OPTIONS_DEFINE=	DEBUG DOCS
 
-.ifdef WITH_GLPK
+PORTDOCS=	*
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MGLPK}
 BROKEN =	the GLPK option requires math/glpk headers that are not currently installed by that port
 CONFIGURE_ARGS+=	--with-gmpl-incdir=${LOCALBASE}/include	\
 		--with-gmpl-lib="-L${LOCALBASE}/lib -lglpk"
@@ -37,7 +36,7 @@ CONFIGURE_ARGS+=	--disable-glpk-libcheck
 .endif
 
 CXXFLAGS+=	-ffast-math
-.ifndef WITH_DEBUG
+.if ${PORT_OPTIONS:MDEBUG}
 CXXFLAGS+=	-fomit-frame-pointer
 .endif
 
@@ -54,7 +53,7 @@ pre-build:
 .endfor
 
 post-install:
-.ifndef NOPORTDOCS
+.if ${PORT_OPTIONS:MDOCS}
 	${MV} ${PREFIX}/share/coin/doc ${DOCSDIR}
 .endif
 	${RM} -rf ${PREFIX}/share/coin
@@ -63,4 +62,4 @@ check regression-test test: build
 	@(cd ${WRKSRC};  ${SETENV} ${MAKE_ENV} ${MAKE} ${_MAKE_JOBS} \
 	${MAKE_ARGS} test)
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/math/coinmp/distinfo
==============================================================================
--- head/math/coinmp/distinfo	Mon Aug  5 12:14:07 2013	(r324272)
+++ head/math/coinmp/distinfo	Mon Aug  5 12:49:55 2013	(r324273)
@@ -1,2 +1,2 @@
-SHA256 (CoinMP-1.6.0.tgz) = 33eccad711dcf5a511cd2246267996df5b73d067a14214c1f2fad4bc1aecc971
-SIZE (CoinMP-1.6.0.tgz) = 12400327
+SHA256 (CoinMP-1.7.0.tgz) = 48bb3e89ed9ebbad1ea71ece575419b3bff81ab2c6257d353cf4c948010d5adb
+SIZE (CoinMP-1.7.0.tgz) = 9647250

Modified: head/math/coinmp/pkg-descr
==============================================================================
--- head/math/coinmp/pkg-descr	Mon Aug  5 12:14:07 2013	(r324272)
+++ head/math/coinmp/pkg-descr	Mon Aug  5 12:49:55 2013	(r324273)
@@ -3,4 +3,4 @@ functionality of the CLP (Coin LP), CBC 
 (Cut Generation Library) projects. When compiled for Unix it generates a 
 CoinMP.so library that can be similarly used in other Unix C/C++ projects.
 
-WWW:	https://projects.coin-or.org/CoinMP
+WWW: https://projects.coin-or.org/CoinMP

Modified: head/math/coinmp/pkg-plist
==============================================================================
--- head/math/coinmp/pkg-plist	Mon Aug  5 12:14:07 2013	(r324272)
+++ head/math/coinmp/pkg-plist	Mon Aug  5 12:49:55 2013	(r324273)
@@ -215,7 +215,6 @@ include/coin/ClpConstraintAmpl.hpp
 include/coin/ClpAmplObjective.hpp
 include/coin/CoinMPConfig.h
 include/coin/CoinMP.h
-@dirrm include/coin
 lib/libCbc.la
 lib/libCbc.so
 lib/libCbc.so.10
@@ -230,7 +229,7 @@ lib/libClp.so
 lib/libClp.so.12
 lib/libCoinMP.la
 lib/libCoinMP.so
-lib/libCoinMP.so.7
+lib/libCoinMP.so.8
 lib/libCoinUtils.la
 lib/libCoinUtils.so
 lib/libCoinUtils.so.11
@@ -246,39 +245,7 @@ lib/libOsiClp.so.12
 lib/libOsiCommonTests.la
 lib/libOsiCommonTests.so
 lib/libOsiCommonTests.so.11
-%%PORTDOCS%%%%DOCSDIR%%/Cbc/README
-%%PORTDOCS%%%%DOCSDIR%%/Cbc/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/Cbc/LICENSE
-%%PORTDOCS%%%%DOCSDIR%%/Cbc/cbc_addlibs.txt
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/Cbc
-%%PORTDOCS%%%%DOCSDIR%%/Cgl/README
-%%PORTDOCS%%%%DOCSDIR%%/Cgl/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/Cgl/LICENSE
-%%PORTDOCS%%%%DOCSDIR%%/Cgl/cgl_addlibs.txt
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/Cgl
-%%PORTDOCS%%%%DOCSDIR%%/Clp/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/Clp/LICENSE
-%%PORTDOCS%%%%DOCSDIR%%/Clp/README
-%%PORTDOCS%%%%DOCSDIR%%/Clp/clp_addlibs.txt
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/Clp
-%%PORTDOCS%%%%DOCSDIR%%/CoinMP/README
-%%PORTDOCS%%%%DOCSDIR%%/CoinMP/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/CoinMP/LICENSE
-%%PORTDOCS%%%%DOCSDIR%%/CoinMP/coinmp_addlibs.txt
-%%PORTDOCS%%%%DOCSDIR%%/CoinMP/Makefile
-%%PORTDOCS%%%%DOCSDIR%%/CoinMP/example.c
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/CoinMP
-%%PORTDOCS%%%%DOCSDIR%%/CoinUtils/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/CoinUtils/LICENSE
-%%PORTDOCS%%%%DOCSDIR%%/CoinUtils/README
-%%PORTDOCS%%%%DOCSDIR%%/CoinUtils/coinutils_addlibs.txt
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/CoinUtils
-%%PORTDOCS%%%%DOCSDIR%%/Osi/README
-%%PORTDOCS%%%%DOCSDIR%%/Osi/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/Osi/LICENSE
-%%PORTDOCS%%%%DOCSDIR%%/Osi/osi_addlibs.txt
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/Osi
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
+lib/pkgconfig/coindatasample.pc
 libdata/pkgconfig/clp.pc
 libdata/pkgconfig/osi-clp.pc
 libdata/pkgconfig/cbc.pc
@@ -288,3 +255,5 @@ libdata/pkgconfig/coinutils.pc
 libdata/pkgconfig/coinmp.pc
 libdata/pkgconfig/osi-cbc.pc
 libdata/pkgconfig/osi-unittests.pc
+@dirrm include/coin
+@dirrmtry lib/pkgconfig
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 William Grzybowski freebsd_committer 2013-08-05 13:51:37 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!